Retrieves the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "e6f16c47-543c-4820-a560-4330abdaf39b",
"db_report_type_id": "d80d483d-b724-4762-af09-72f7e877ab92",
"user_id": "f760d4c3-1c42-4ae5-a35a-e0bc27c5a78b",
"company_id": "b85a985c-7575-43da-8345-28655217c451",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "aa2c552c-ee83-4583-b797-7e5e3b400cfb",
"id_in_table": "badf3ad1-2bcd-4c93-8689-ec6bf4631b92",
"date_last_update": "2026-03-04T18:48:01.1650176+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-03-04T18:48:01.1650176+00:00"
}